class ApplicationMailer < ActionMailer::Base
  default from: 'from@example.com'
  layout 'mailer'

  def send_batch_mail(to, title, body)
    mail_hash = {
        to: to,
        subject: title,
        body: body,
        content_type: 'text/html',
    }

    mail(mail_hash)
  end
end
