class ExtBatchMonitor
  require 'ext_batch'
  include Sidekiq::Worker
  sidekiq_options :retry => false

  def perform(*args)
    include Sys
    batch_name = File.basename(__FILE__).gsub('.rb', '')
    batch = ExtBatch.new(batch_name, pid_flag: false)
    begin
      ExtBatch.monitor_pid_file(batch)

    rescue Exception => e
      batch.exception e
    end
    batch.end
  end
end
