if Rails.env.production?
  redis_server = '127.0.0.1'
elsif Rails.env.staging?
  redis_server = '127.0.0.1'
else
  redis_server = '127.0.0.1'
end

redis_port = 6379
redis_db_num = 1
redis_namespace = 'batch_monitor'

Sidekiq.configure_server do |config|
  config.redis = { url: "redis://#{redis_server}:#{redis_port}/#{redis_db_num}", namespace: redis_namespace }
  config.on(:startup) do
    Sidekiq::Scheduler.reload_schedule!
  end
end
